acpi_bus_driver_init
Prev | Device Drivers ACPI Support | Next

## Name

acpi_bus_driver_init — add a device to a driver

## Synopsis

`int acpi_bus_driver_init (` | struct acpi_device * | device,
| struct acpi_driver * | driver`)`;

## Arguments

`device`

  the device to add and initialize

`driver`

  driver for the device

## Description

Used to initialize a device via its device driver. Called whenever a driver is bound to a device. Invokes the driver's `add` ops.

Prev | Up | Next
acpi_bus_unregister_driver | Home | Device drivers PnP support